(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     86838,       1893]
NotebookOptionsPosition[     84198,       1837]
NotebookOutlinePosition[     84590,       1853]
CellTagsIndexPosition[     84547,       1850]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Demo:",
  FontWeight->"Bold"],
 " Cost price, Production Price, Market Value"
}], "Chapter",
 CellChangeTimes->{{3.8499966265832777`*^9, 
  3.8499966497953987`*^9}},ExpressionUUID->"e43eccf9-6ab9-4c9b-a189-\
62df53caa93b"],

Cell[CellGroupData[{

Cell["Known bugs", "Section",
 CellChangeTimes->{{3.849996793713126*^9, 
  3.8499967949195213`*^9}},ExpressionUUID->"af85ba09-ca8a-4925-9edc-\
03e670c7c91b"],

Cell["\<\
Changing the number of branches after clicking the Randomize button hangs the \
applet (check scoping)\
\>", "Item",
 CellChangeTimes->{{3.849996822521887*^9, 3.84999683832412*^9}, {
  3.849996949321508*^9, 3.849996975444436*^9}, {3.849997006145055*^9, 
  3.849997015966181*^9}},ExpressionUUID->"e0c3d2b9-8037-4b38-9377-\
ae3f26e113c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Formulas", "Section",
 CellChangeTimes->{{3.8366044703212137`*^9, 
  3.8366044714278*^9}},ExpressionUUID->"b9c320b2-2e35-4fb2-8fff-aaa7b8a01e8a"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{"c", " ", "+", " ", "v"}]}], TraditionalForm]],ExpressionUUID->
  "4afaa3f6-7027-47c3-bb91-5677888995d5"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"C", " ", "=", " ", 
    RowBox[{"c", " ", "+", " ", "v", " ", "+", "s"}]}], TraditionalForm]],
  ExpressionUUID->"36c0603e-2b5e-4e11-9f3b-971a9da6e2d4"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "=", "s"}], TraditionalForm]],ExpressionUUID->
  "fabdf331-380a-499f-b432-5f6be9c4d296"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "'"}], "=", 
    FractionBox["s", "v"]}], TraditionalForm]],ExpressionUUID->
  "af5c1e00-64e9-4d45-83bc-c47ad15b858b"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"p", "'"}], "=", 
    FractionBox["s", 
     RowBox[{"c", "+", "v"}]]}], TraditionalForm]],ExpressionUUID->
  "1a197fb8-86a7-429a-96de-24bffe989aec"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[CurlyTheta]", "=", 
    FractionBox["c", "v"]}], TraditionalForm]],ExpressionUUID->
  "2a4c3503-6cf7-45bf-b95a-04a2bd613369"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Omega]", "=", 
    FractionBox["v", 
     RowBox[{"c", "+", "v", "+", "s"}]]}], TraditionalForm]],ExpressionUUID->
  "f85f0e22-b570-4681-ac10-8674d1b6d9eb"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Mu]", 
     RowBox[{"p", "'"}]], "=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"|", "\[ScriptCapitalI]", "|"}]], 
     RowBox[{
      SubscriptBox["\[Sum]", 
       RowBox[{"i", "\[Element]", "\[ScriptCapitalI]"}]], 
      SubscriptBox[
       RowBox[{"p", "'"}], "i"]}]}]}], TraditionalForm]],ExpressionUUID->
  "098b409c-cab1-499c-804b-c1f90e1b0d8a"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "+", 
     RowBox[{"k", " ", 
      SubscriptBox["\[Mu]", 
       RowBox[{"p", "'"}]]}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SubscriptBox["\[Mu]", 
        RowBox[{"p", "'"}]]}], ")"}], "k"}]}], TraditionalForm]],
  ExpressionUUID->"d0260770-378b-4605-afa2-dc26b91ca7bb"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Mu]", 
     RowBox[{"s", "'"}]], "=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"|", "\[ScriptCapitalI]", "|"}]], 
     RowBox[{
      SubscriptBox["\[Sum]", 
       RowBox[{"i", "\[Element]", "\[ScriptCapitalI]"}]], 
      SubscriptBox[
       RowBox[{"s", "'"}], "i"]}]}]}], TraditionalForm]],ExpressionUUID->
  "2df2e3a3-a8d7-4b7a-8c1b-a2bab1941fa7"]
}], "Text",
 CellChangeTimes->{{3.836597495602045*^9, 3.8365976820146837`*^9}, {
  3.836597722910849*^9, 
  3.8365978846648483`*^9}},ExpressionUUID->"1fb848a6-c94a-4801-9707-\
5895046f1047"],

Cell[BoxData[{
 RowBox[{"CV", "=", 
  RowBox[{
   RowBox[{
    SubscriptBox["t", "c"], "c"}], "+", "v", "+", 
   RowBox[{
    RowBox[{"s", "'"}], "v"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CP", "=", 
  RowBox[{
   RowBox[{
    SubscriptBox["t", "c"], "c"}], "+", "v"}]}], "\[IndentingNewLine]", 
 RowBox[{"PP", "=", 
  RowBox[{"CP", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"c", "+", "v"}], ")"}], 
    SubscriptBox["\[Mu]", 
     RowBox[{"p", "'"}]]}]}]}]}], "Text",
 CellChangeTimes->{{3.836687822215477*^9, 3.836687866753645*^9}, {
  3.849999019255072*^9, 
  3.849999019801848*^9}},ExpressionUUID->"64c415dc-8e71-4c10-8d09-\
b098e23d1bcd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Working manipulable", "Section",
 CellChangeTimes->{{3.837747734939784*^9, 
  3.83774774180753*^9}},ExpressionUUID->"f8c16b08-d47d-439c-b313-\
aa37072e777e"],

Cell[CellGroupData[{

Cell["\<\
genBranches[], getBranchAvgConst[], getBranchAvgVaria[], getBranchAvgSurpl[], \
getBranchAvgSurpl[], getGeneralRateOfProfit[], getCostPrices[], \
getProdPrices[], getMarketValues[]\
\>", "Subsection",
 CellChangeTimes->{{3.8377325896743402`*^9, 3.837732590997386*^9}, {
  3.837733195468335*^9, 3.837733243559039*^9}, {3.837733947318458*^9, 
  3.837733951826878*^9}},ExpressionUUID->"de6cafd3-2768-4f31-a8fe-\
70bb97d81bc3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ClearAll", "[", "genBranches", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"genBranches", "[", 
     RowBox[{"vDist_", ",", "mt_", ",", "ms_", ",", "numShops_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"v", "=", 
              RowBox[{"RandomVariate", "[", 
               RowBox[{
               "vDist", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
               "mt", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               " ", "v"}], ",", "v", ",", 
              RowBox[{
               RowBox[{
               "ms", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               " ", "v"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{
            "numShops", "\[LeftDoubleBracket]", "i", 
             "\[RightDoubleBracket]"}]}], "}"}]}], "\[IndentingNewLine]", 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "numShops", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"getBranchAvgConst", "[", "branch_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Mean", "[", 
       RowBox[{"branch", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", ";;", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], "]"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"getBranchAvgVaria", "[", "branch_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Mean", "[", 
       RowBox[{"branch", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", ";;", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], "]"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"getBranchAvgSurpl", "[", "branch_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Mean", "[", 
        RowBox[{"branch", "\[LeftDoubleBracket]", 
         RowBox[{"i", ",", ";;", ",", "3"}], "\[RightDoubleBracket]"}], "]"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], "]"}], "//", 
     "N"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"getGeneralRateOfProfit", "[", 
     RowBox[{
     "branchAvgConst_", ",", "branchAvgVaria_", ",", "branchAvgSurpl_"}], 
     "]"}], ":=", 
    FractionBox[
     RowBox[{"Plus", "@@", "branchAvgSurpl"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Plus", "@@", "branchAvgConst"}], ")"}], "+", 
      RowBox[{"(", 
       RowBox[{"Plus", "@@", "branchAvgVaria"}], ")"}]}]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"getCostPrices", "[", 
     RowBox[{"branch_", ",", "mt_", ",", "numShops_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
         "mt", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        ")"}], 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"branch", "\[LeftDoubleBracket]", 
           RowBox[{"i", ",", "j", ",", "2"}], "\[RightDoubleBracket]"}], 
          FractionBox[
           RowBox[{"branch", "\[LeftDoubleBracket]", 
            RowBox[{"i", ",", "j", ",", "2"}], "\[RightDoubleBracket]"}], 
           RowBox[{"Plus", "@@", 
            RowBox[{"(", 
             RowBox[{"branch", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", ";;", ",", "2"}], "\[RightDoubleBracket]"}], 
             ")"}]}]]}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{
           "numShops", "\[LeftDoubleBracket]", "i", 
            "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"getProdPrices", "[", 
     RowBox[{"generalRateOfProfit_", ",", "costPrice_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "generalRateOfProfit"}], ")"}], 
       RowBox[{
       "costPrice", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "costPrice", "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"getMarketValues", "[", 
    RowBox[{"marketPrice_", ",", "branch_", ",", "numShops_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"marketPrice", "\[LeftDoubleBracket]", 
         RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], 
        FractionBox[
         RowBox[{"branch", "\[LeftDoubleBracket]", 
          RowBox[{"i", ",", "j", ",", "2"}], "\[RightDoubleBracket]"}], 
         RowBox[{"Plus", "@@", 
          RowBox[{"(", 
           RowBox[{"branch", "\[LeftDoubleBracket]", 
            RowBox[{"i", ",", ";;", ",", "2"}], "\[RightDoubleBracket]"}], 
           ")"}]}]]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{
         "numShops", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}],
         "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.837728793999729*^9, 3.837728833219714*^9}, {
   3.8377288642002487`*^9, 3.8377292394284153`*^9}, {3.8377292740313387`*^9, 
   3.837729310280602*^9}, {3.837729367384159*^9, 3.837729415616065*^9}, {
   3.837729448614665*^9, 3.837729459575822*^9}, {3.837729492355516*^9, 
   3.837729565619505*^9}, {3.837729605024382*^9, 3.837729660803652*^9}, {
   3.837729723380081*^9, 3.837729772460244*^9}, {3.837729902153973*^9, 
   3.837729968965357*^9}, {3.8377300054895*^9, 3.8377300947523727`*^9}, {
   3.83773013701703*^9, 3.837730152853488*^9}, {3.837730212352014*^9, 
   3.8377302367843323`*^9}, {3.837730269662928*^9, 3.8377306548049107`*^9}, {
   3.83773069603401*^9, 3.8377307133057327`*^9}, {3.837730981353199*^9, 
   3.8377310540217752`*^9}, {3.837731160216599*^9, 3.8377312360877132`*^9}, {
   3.837731266771822*^9, 3.837731275185231*^9}, {3.837731331112178*^9, 
   3.837731386888864*^9}, {3.837731424468964*^9, 3.837731468898102*^9}, {
   3.837731739669251*^9, 3.837731810430002*^9}, {3.837731943789982*^9, 
   3.837731962344161*^9}, 3.837732013447929*^9, {3.8377325942425632`*^9, 
   3.837732705931054*^9}, {3.837732743243124*^9, 3.837732757473886*^9}, {
   3.837732800486541*^9, 3.837733201367052*^9}, {3.837733548279882*^9, 
   3.837733549711721*^9}, {3.837733611410915*^9, 3.837733612757949*^9}, {
   3.83773393613658*^9, 3.837733943604759*^9}, {3.837734224319201*^9, 
   3.837734226658115*^9}, {3.8377351926380177`*^9, 3.837735203144683*^9}, {
   3.837735317168501*^9, 3.837735326428217*^9}, {3.8377353591382723`*^9, 
   3.837735426124023*^9}, {3.8377354655987597`*^9, 3.8377355000635967`*^9}, {
   3.837735676347649*^9, 3.837735677041774*^9}, {3.8377357952519007`*^9, 
   3.837735889698517*^9}, {3.837736273159822*^9, 3.837736290778512*^9}, {
   3.8377370288920927`*^9, 3.837737037865223*^9}, 3.8377374442145357`*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"828c3e89-9cb9-4be1-986b-b41a501ec168"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Colors and font for cvsBar", "Subsection",
 CellChangeTimes->{{3.8371060630292187`*^9, 3.8371060831833344`*^9}, {
  3.837739316433798*^9, 
  3.837739320224163*^9}},ExpressionUUID->"df4ab4ee-5f79-48eb-be1d-\
7f257ae81f66"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cColor", "=", 
   RowBox[{
    RowBox[{"RGBColor", "[", 
     RowBox[{"0.358267", ",", " ", "0.535851", ",", " ", "0.716579"}], "]"}], 
    "//", "Lighter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vColor", "=", 
   RowBox[{
    RowBox[{"RGBColor", "[", 
     RowBox[{"0.384329", ",", " ", "0.339055", ",", " ", "0.738506"}], "]"}], 
    "//", "Lighter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vRateColor", "=", "Purple"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sColor", "=", 
   RowBox[{
    RowBox[{"RGBColor", "[", 
     RowBox[{"0.965759", ",", " ", "0.41384", ",", " ", "0.372503"}], "]"}], "//",
     "Lighter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sRateColor", "=", "Red"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pRateColor", "=", 
   RowBox[{"Red", "//", "Darker"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"oRateColor", "=", "Gray"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fontFamily", "=", "\"\<CMU Sans Serif\>\""}], ";"}]}], "Input",
 CellChangeTimes->{3.8371060749787817`*^9},
 CellLabel->"In[61]:=",ExpressionUUID->"d39906c4-edf3-4b6a-82b5-06b098bf435c"]
}, Closed]],

Cell[CellGroupData[{

Cell["cvsBar[], cvsBarComponent[]", "Subsection",
 CellChangeTimes->{{3.837470118294694*^9, 
  3.8374701246268377`*^9}},ExpressionUUID->"3c3bc1a4-70ae-4616-8e2a-\
deb0f3ab9c32"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"imageSize", "=", "300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fontSize", "=", "14"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SansSerifStyle", "[", 
     RowBox[{"text_", ",", "size_"}], "]"}], ":=", 
    RowBox[{"Style", "[", 
     RowBox[{"text", ",", "size", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<CMU Sans Serif\>\""}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cvsBarComponent", "[", 
     RowBox[{"text_", ",", 
      RowBox[{"{", 
       RowBox[{"x1_", ",", "x2_"}], "}"}], ",", "y_", ",", "edgeForm_", ",", 
      "faceForm_"}], "]"}], ":=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"EdgeForm", "[", "edgeForm", "]"}], ",", 
      RowBox[{"FaceForm", "[", "faceForm", "]"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "y"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "y"}], "}"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"SansSerifStyle", "[", 
         RowBox[{"text", ",", "fontSize"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x1", "+", "x2"}], ")"}], "/", "2"}], ",", 
          RowBox[{"y", "/", "2"}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"#", ",", "7"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"-", "y"}], "/", "2"}]}], "}"}]}], "]"}], "&"}], "/@", 
       RowBox[{"{", 
        RowBox[{"x1", ",", "x2"}], "}"}]}]}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cvsBar", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c_", ",", "v_", ",", "s_"}], "}"}], ",", "yRatio_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "T", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"T", "=", 
       RowBox[{"c", "+", "v", "+", "s"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"cvsBarComponent", "[", 
           RowBox[{
            RowBox[{"SansSerifStyle", "[", 
             RowBox[{
             "\"\<\!\(\*StyleBox[\"c\",FontSlant->\"Italic\"]\)\>\"", ",", 
              "fontSize"}], "]"}], ",", 
            RowBox[{"Round", "/@", 
             RowBox[{"{", 
              RowBox[{"0", ",", "c"}], "}"}]}], ",", 
            RowBox[{"yRatio", " ", "T"}], ",", "Thick", ",", "cColor"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"cvsBarComponent", "[", 
           RowBox[{
            RowBox[{"SansSerifStyle", "[", 
             RowBox[{
             "\"\<\!\(\*StyleBox[\"v\",FontSlant->\"Italic\"]\)\>\"", ",", 
              "fontSize"}], "]"}], ",", 
            RowBox[{"Round", "/@", 
             RowBox[{"{", 
              RowBox[{"c", ",", 
               RowBox[{"c", "+", "v"}]}], "}"}]}], ",", 
            RowBox[{"yRatio", " ", "T"}], ",", "Thick", ",", "vColor"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"cvsBarComponent", "[", 
           RowBox[{
            RowBox[{"SansSerifStyle", "[", 
             RowBox[{
             "\"\<\!\(\*StyleBox[\"s\",FontSlant->\"Italic\"]\)\>\"", ",", 
              "fontSize"}], "]"}], ",", 
            RowBox[{"Round", "/@", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"c", "+", "v"}], ",", 
               RowBox[{"c", "+", "v", "+", "s"}]}], "}"}]}], ",", 
            RowBox[{"yRatio", " ", "T"}], ",", "Thick", ",", "sColor"}], 
           "]"}]}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"ImageSize", "\[Rule]", "imageSize"}]}], 
       "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.837469738658885*^9, 3.837470094107695*^9}, {
  3.8374701275303917`*^9, 3.8374701478418913`*^9}, {3.8374701870081463`*^9, 
  3.837470265405294*^9}, {3.837470304719488*^9, 3.837470370670466*^9}, {
  3.83771979071026*^9, 3.837719798785433*^9}, {3.837719874427387*^9, 
  3.8377199173163013`*^9}, {3.837720430454672*^9, 3.8377204974829903`*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"50be6316-2f62-43ea-9aec-80fb9d196b95"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cvsBar", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"10", ",", "10", ",", "10"}], "}"}], ",", ".05"}], "]"}]], "Input",\

 CellChangeTimes->{{3.837719728738083*^9, 3.8377197572855062`*^9}, {
  3.837719828583653*^9, 3.837719887177066*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"5ae00956-6198-4dcb-9af4-0ce70bba2a5d"],

Cell[BoxData[
 GraphicsBox[{
   {EdgeForm[Thickness[Large]], FaceForm[RGBColor[
    0.572178, 0.6905673333333333, 0.8110526666666666]], 
    PolygonBox[{{0, 1.5}, {0, 0}, {10, 0}, {10, 1.5}}], InsetBox[
     StyleBox[
      StyleBox["\<\"\\!\\(\\*StyleBox[\\\"c\\\",FontSlant->\\\"Italic\\\"]\\)\
\"\>",
       StripOnInput->False,
       FontFamily->"CMU Sans Serif",
       FontSize->14],
      StripOnInput->False,
      FontFamily->"CMU Sans Serif",
      FontSize->14], {5, 0.75}], {InsetBox[
      StyleBox["0",
       StripOnInput->False,
       FontSize->7], {0, -0.75}], InsetBox[
      StyleBox["10",
       StripOnInput->False,
       FontSize->7], {10, -0.75}]}}, 
   {EdgeForm[Thickness[Large]], FaceForm[RGBColor[
    0.5895526666666666, 0.5593699999999999, 0.8256706666666667]], 
    PolygonBox[{{10, 1.5}, {10, 0}, {20, 0}, {20, 1.5}}], InsetBox[
     StyleBox[
      StyleBox["\<\"\\!\\(\\*StyleBox[\\\"v\\\",FontSlant->\\\"Italic\\\"]\\)\
\"\>",
       StripOnInput->False,
       FontFamily->"CMU Sans Serif",
       FontSize->14],
      StripOnInput->False,
      FontFamily->"CMU Sans Serif",
      FontSize->14], {15, 0.75}], {InsetBox[
      StyleBox["10",
       StripOnInput->False,
       FontSize->7], {10, -0.75}], InsetBox[
      StyleBox["20",
       StripOnInput->False,
       FontSize->7], {20, -0.75}]}}, 
   {EdgeForm[Thickness[Large]], FaceForm[RGBColor[
    0.9771726666666667, 0.6092266666666666, 0.5816686666666666]], 
    PolygonBox[{{20, 1.5}, {20, 0}, {30, 0}, {30, 1.5}}], InsetBox[
     StyleBox[
      StyleBox["\<\"\\!\\(\\*StyleBox[\\\"s\\\",FontSlant->\\\"Italic\\\"]\\)\
\"\>",
       StripOnInput->False,
       FontFamily->"CMU Sans Serif",
       FontSize->14],
      StripOnInput->False,
      FontFamily->"CMU Sans Serif",
      FontSize->14], {25, 0.75}], {InsetBox[
      StyleBox["20",
       StripOnInput->False,
       FontSize->7], {20, -0.75}], InsetBox[
      StyleBox["30",
       StripOnInput->False,
       FontSize->7], {30, -0.75}]}}},
  ImageSize->300]], "Output",
 CellChangeTimes->{{3.837719730405304*^9, 3.837719742089169*^9}, {
   3.837719838933292*^9, 3.8377199188328133`*^9}, 3.837721409856525*^9, 
   3.837739323909727*^9, 3.837747773680396*^9, 3.849996065388495*^9, 
   3.849996146232478*^9, 3.849997066797967*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"c54c0445-2c90-497e-86a8-e1753b9a97de"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Demo (toy economy, ",
 StyleBox["k",
  FontSlant->"Italic"],
 " spheres of production)"
}], "Subsection",
 CellChangeTimes->{{3.83773319276711*^9, 3.837733193154731*^9}, {
  3.837738357926487*^9, 3.837738361249403*^9}, {3.8377395929175053`*^9, 
  3.837739592985959*^9}, {3.837742759973112*^9, 3.837742762441531*^9}, {
  3.837744133663046*^9, 
  3.837744149344853*^9}},ExpressionUUID->"22a9abfc-1e04-4c4d-90f9-\
ef59ae7026d6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"maxBranches", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mtMax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"msMax", "=", "10"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"numBranches", ",", "numShops", ",", "\[IndentingNewLine]", 
     RowBox[{"k", "=", "maxBranches"}], ",", "\[IndentingNewLine]", "mt", ",",
      "ms", ",", "\[IndentingNewLine]", "vMean", ",", "vStdDev", ",", "vDist",
      ",", "\[IndentingNewLine]", "branch", ",", "\[IndentingNewLine]", 
     "branchAvgConst", ",", "branchAvgVaria", ",", "branchAvgSurpl", ",", 
     "\[IndentingNewLine]", "generalRateOfProfit", ",", "costPrice", ",", 
     "prodPrice", ",", "\[IndentingNewLine]", "marketPrice", ",", 
     "marketValue", ",", "\[IndentingNewLine]", "init", ",", "reset"}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"branchAvgConst", "=", 
       RowBox[{"getBranchAvgConst", "[", 
        RowBox[{"branch", "\[LeftDoubleBracket]", 
         RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"branchAvgVaria", "=", 
       RowBox[{"getBranchAvgVaria", "[", 
        RowBox[{"branch", "\[LeftDoubleBracket]", 
         RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"branchAvgSurpl", "=", 
       RowBox[{"getBranchAvgSurpl", "[", 
        RowBox[{"branch", "\[LeftDoubleBracket]", 
         RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"generalRateOfProfit", "=", 
       RowBox[{"getGeneralRateOfProfit", "[", 
        RowBox[{
        "branchAvgConst", ",", "branchAvgVaria", ",", "branchAvgSurpl"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"costPrice", "=", 
       RowBox[{"getCostPrices", "[", 
        RowBox[{
         RowBox[{"branch", "\[LeftDoubleBracket]", 
          RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"mt", "\[LeftDoubleBracket]", 
          RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"numShops", "\[LeftDoubleBracket]", 
          RowBox[{";;", "k"}], "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"prodPrice", "=", 
       RowBox[{"getProdPrices", "[", 
        RowBox[{"generalRateOfProfit", ",", "costPrice"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"marketPrice", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"branch", "\[LeftDoubleBracket]", 
             RowBox[{"i", ",", "j", ",", "1"}], "\[RightDoubleBracket]"}], 
            "+", 
            RowBox[{"branch", "\[LeftDoubleBracket]", 
             RowBox[{"i", ",", "j", ",", "2"}], "\[RightDoubleBracket]"}], 
            "+", 
            RowBox[{"branch", "\[LeftDoubleBracket]", 
             RowBox[{"i", ",", "j", ",", "3"}], "\[RightDoubleBracket]"}]}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", 
             RowBox[{
             "numShops", "\[LeftDoubleBracket]", "i", 
              "\[RightDoubleBracket]"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "branch", "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"marketValue", "=", 
       RowBox[{"getMarketValues", "[", 
        RowBox[{"marketPrice", ",", 
         RowBox[{"branch", "\[LeftDoubleBracket]", 
          RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], ",", "numShops"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<number of branches: \>\"", ",", 
             RowBox[{"Slider", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "k", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "maxBranches", ",", "1"}], "}"}]}], "]"}]}],
             "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
            "k", ",", " ", "\"\< branches of production, numShops = (\>\"", 
             ",", 
             RowBox[{"Row", "[", 
              RowBox[{
               RowBox[{"numShops", "\[LeftDoubleBracket]", 
                RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], ",", 
               "\"\<,\>\""}], "]"}], ",", "\"\<)\>\""}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(v\), \(i\)]\) ~ \[ScriptCapitalN](\>\"",
              ",", "vMean", ",", "\"\<;\>\"", ",", "vStdDev", ",", 
             "\"\<), i = 1,\[Ellipsis],\>\"", ",", "k"}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", "\[IndentingNewLine]", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"i", "=", "i"}], "}"}], ",", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"SubscriptBox", "[", 
                    RowBox[{"\"\<\[Mu]\>\"", ",", 
                    RowBox[{"SubscriptBox", "[", 
                    RowBox[{"\"\<\[Theta]\>\"", ",", "i"}], "]"}]}], "]"}], "//",
                     "DisplayForm"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    "mt", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "mtMax"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    "mt", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", ".01"}], "]"}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<\\t\\t\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"SubscriptBox", "[", 
                    RowBox[{"\"\<\[Mu]\>\"", ",", 
                    RowBox[{"SubsuperscriptBox", "[", 
                    RowBox[{
                    "\"\<s\>\"", ",", "i", ",", 
                    "\"\<\!\(\*StyleBox[\"'\",FontSlant->\"Italic\"]\)\>\""}],
                     "]"}]}], "]"}], "//", "DisplayForm"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    "ms", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "msMax"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    "ms", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", ".01"}], "]"}], "]"}]}], 
                   "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]",
                  "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"i", ",", "k"}], "}"}]}], "\[IndentingNewLine]", "]"}],
             "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Column", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \
SubscriptBox[\(\[Theta]\), \(i\)]]\):  \>\"", ",", 
                   RowBox[{
                    RowBox[{"mt", "\[LeftDoubleBracket]", 
                    RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], "//", 
                    "TableForm"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<\!\(\*SubscriptBox[\"\[Mu]\", SubsuperscriptBox[\"s\", \
\"i\", StyleBox[\"'\",FontSlant->\"Italic\"]]]\):  \>\"", ",", 
                   RowBox[{
                    RowBox[{"ms", "\[LeftDoubleBracket]", 
                    RowBox[{";;", "k"}], "\[RightDoubleBracket]"}], "//", 
                    "TableForm"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
               "}"}], "]"}], ",", "\[IndentingNewLine]", "\"\<\\t\\t\>\"", 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<\!\(\*SubscriptBox[\"\[Mu]\", \
StyleBox[SuperscriptBox[StyleBox[\"p\",FontSlant->\"Italic\"], \
\"'\"],FontSlant->\"Italic\"]]\):  \>\"", ",", 
                    RowBox[{
                    "PercentForm", "[", "generalRateOfProfit", "]"}]}], "}"}],
                   "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                   "\"\<(\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(c\), \
\(i\)]]\),\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(v\), \
\(i\)]]\),\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(s\), \(i\)]]\))\>\"", 
                    ",", "\"\<:  \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Column", "[", 
                    RowBox[{"Table", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"cvsBar", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "branchAvgConst", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "branchAvgVaria", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "branchAvgSurpl", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", ".05"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "k"}], "}"}]}], "\[IndentingNewLine]", 
                    "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Column", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(CP\), \(i\)]\):  \>\"", ",", 
                    RowBox[{"costPrice", "//", "TableForm"}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<\\t\\t\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(PP\), \(i\)]\):  \>\"", ",", 
                    RowBox[{"prodPrice", "//", "TableForm"}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", "\"\<\\t\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(MV\), \(i\)]\):  \>\"", ",", 
                    RowBox[{"marketValue", "//", "TableForm"}]}], "}"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"Prepend", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Table", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"SmoothHistogram", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    "marketPrice", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "prodPrice", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<PP\>\"", ",", "i"}], "]"}]}], "}"}], "}"}], 
                    ",", "None"}], "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
                    RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
                    RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Epilog", "\[Rule]", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "prodPrice", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "prodPrice", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ",", "1000"}], "}"}]}], "}"}], 
                    "]"}], "\[IndentingNewLine]", "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"{", 
                    RowBox[{"i", ",", "k"}], "}"}]}], "\[IndentingNewLine]", 
                    "]"}], ",", "\[IndentingNewLine]", 
                    "\"\<\!\(\*SubscriptBox[\(MP\), \(i\)]\)(\[Omega]):  \
\>\""}], "\[IndentingNewLine]", "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
                  "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Alignment", "\[Rule]", "\"\<Left\>\""}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "\"\<Center\>\""}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Button", "[", 
         RowBox[{"\"\<reset\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"reset", "[", "]"}], ";"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Button", "[", 
         RowBox[{"\"\<randomize\>\"", ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"mt", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Round", "[", 
                RowBox[{
                 RowBox[{"RandomReal", "[", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "10"}], "}"}], "]"}], ",", ".01"}], 
                "]"}], ",", 
               RowBox[{"{", "maxBranches", "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "mt", "]"}], ">", "2"}], ",", 
              RowBox[{
               RowBox[{
               "mt", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "=", 
               FractionBox[
                RowBox[{
                 RowBox[{
                 "mt", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "+", 
                 RowBox[{
                 "mt", "\[LeftDoubleBracket]", "3", 
                  "\[RightDoubleBracket]"}]}], "2"]}]}], "]"}], 
            RowBox[{"(*", 
             RowBox[{
             "pick", " ", "midpoint", " ", "between", " ", "branches", " ", 
              "1", " ", "and", " ", "3"}], "*)"}], ";", "\[IndentingNewLine]", 
            RowBox[{"ms", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"1", ",", 
               RowBox[{"{", "maxBranches", "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"init", "[", "k", "]"}], ";"}], "\[IndentingNewLine]", 
           "}"}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Button", "[", 
         RowBox[{
         "\"\<resample after changing \!\(\*SubscriptBox[\(\[Mu]\), \
SubscriptBox[\(\[Theta]\), \(i\)]]\) or \!\(\*SubscriptBox[\"\[Mu]\", \
SubsuperscriptBox[\"s\", \"i\", \
StyleBox[\"'\",FontSlant->\"Italic\"]]]\)\>\"", ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{"init", "[", "maxBranches", "]"}], "\[IndentingNewLine]", 
           "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Initialization", "\[RuleDelayed]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"reset", "[", "]"}], ":=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mt", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"t", "+", ".55"}], ",", ".01"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", 
                RowBox[{
                 FractionBox["2", "maxBranches"], "+", "0."}], ",", "mtMax", 
                ",", 
                FractionBox["mtMax", "maxBranches"]}], "}"}]}], "]"}]}], ";", 
           
           RowBox[{"(*", 
            RowBox[{"organic", " ", "composition", " ", 
             RowBox[{"c", "/", "v"}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"ms", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"RandomChoice", "[", 
               RowBox[{"{", "1", "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "maxBranches"}], "}"}]}], "]"}]}], 
           
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"rate", " ", "of", " ", "surplus"}], "-", "value"}], 
            "*)"}], ";"}], "\[IndentingNewLine]", "}"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"init", "[", "numBranches_", "]"}], ":=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"numShops", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"10", ",", 
              RowBox[{"{", "maxBranches", "}"}]}], "]"}]}], ";", " ", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"index", " ", "on", " ", "numBranches"}], " ", "=", " ", 
             
             RowBox[{"length", " ", "of", " ", "numShops"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"vMean", ",", "vStdDev"}], "}"}], "=", 
            RowBox[{"{", 
             RowBox[{"1000", ",", "100"}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"vDist", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"NormalDistribution", "[", 
               RowBox[{"vMean", ",", "vStdDev"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "maxBranches"}], "}"}]}], "]"}]}], 
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"branch", "=", 
            RowBox[{"genBranches", "[", 
             RowBox[{"vDist", ",", "mt", ",", "ms", ",", 
              RowBox[{"numShops", "\[LeftDoubleBracket]", 
               RowBox[{";;", "numBranches"}], "\[RightDoubleBracket]"}]}], 
             "]"}]}], ";"}], "\[IndentingNewLine]", "}"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"reset", "[", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"init", "[", "maxBranches", "]"}], ";"}], 
       "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{
  3.8377332055111303`*^9, {3.8377332639401617`*^9, 3.83773337943574*^9}, {
   3.837733417314885*^9, 3.837733513607348*^9}, {3.837733554561975*^9, 
   3.8377335843686857`*^9}, {3.837733625099983*^9, 3.837733653665997*^9}, {
   3.837733688788397*^9, 3.837733768969665*^9}, {3.837733800839102*^9, 
   3.837733829917939*^9}, {3.837733867739296*^9, 3.837733920297887*^9}, {
   3.837733979852034*^9, 3.837733991293908*^9}, {3.8377340466912613`*^9, 
   3.837734120417572*^9}, {3.837734168118264*^9, 3.837734179957162*^9}, {
   3.837734232444392*^9, 3.837734232633813*^9}, {3.837734472050221*^9, 
   3.837734506958606*^9}, {3.8377345622961493`*^9, 3.8377345995371723`*^9}, {
   3.837734760761115*^9, 3.8377347824664516`*^9}, {3.837735014311808*^9, 
   3.837735057507606*^9}, {3.837735115322263*^9, 3.837735130755309*^9}, 
   3.8377373615812073`*^9, {3.837737484458241*^9, 3.837737592217268*^9}, {
   3.837737633985319*^9, 3.8377376627046633`*^9}, {3.837737696690819*^9, 
   3.8377378290524073`*^9}, {3.8377379106614513`*^9, 3.837738023796687*^9}, {
   3.8377380577134457`*^9, 3.837738062238472*^9}, {3.837738113934058*^9, 
   3.837738116579361*^9}, {3.8377382595147543`*^9, 3.837738324385488*^9}, {
   3.837738366876319*^9, 3.837738369233184*^9}, {3.837738401895797*^9, 
   3.837738489241661*^9}, 3.83773880321941*^9, 3.837738906700603*^9, {
   3.837738943874445*^9, 3.837738970502255*^9}, {3.837739053733755*^9, 
   3.8377390554810877`*^9}, {3.837739351318321*^9, 3.837739358339404*^9}, {
   3.837739403249444*^9, 3.837739417761451*^9}, {3.8377394731484137`*^9, 
   3.837739560925709*^9}, {3.837739606506819*^9, 3.837739714064974*^9}, {
   3.837739745800249*^9, 3.837739838056044*^9}, {3.8377398689501343`*^9, 
   3.837739878587029*^9}, {3.8377399419363003`*^9, 3.837740070829097*^9}, {
   3.8377401603650846`*^9, 3.837740162895355*^9}, {3.837740208274131*^9, 
   3.837740209317521*^9}, {3.837740271957232*^9, 3.83774032036206*^9}, {
   3.8377403974995413`*^9, 3.837740477498645*^9}, {3.837740518611161*^9, 
   3.8377406103532143`*^9}, {3.837740666384789*^9, 3.837740809762959*^9}, {
   3.837740899992062*^9, 3.837740900252018*^9}, {3.837740970031268*^9, 
   3.8377411210843697`*^9}, {3.837741164268281*^9, 3.8377413158939753`*^9}, {
   3.83774138131594*^9, 3.837741414758708*^9}, {3.837741472949307*^9, 
   3.8377415226470957`*^9}, {3.837741561335787*^9, 3.837741693247212*^9}, 
   3.8377417585838003`*^9, {3.837741845699099*^9, 3.8377418463461742`*^9}, {
   3.837741897819878*^9, 3.8377419276396027`*^9}, {3.8377419905518417`*^9, 
   3.8377419929168587`*^9}, {3.8377420337562532`*^9, 3.837742057634575*^9}, {
   3.8377422617005987`*^9, 3.837742399778913*^9}, {3.837742539003951*^9, 
   3.8377425788221817`*^9}, {3.8377426138741493`*^9, 3.837742732549144*^9}, {
   3.837743539494793*^9, 3.837743549183936*^9}, {3.837743617401032*^9, 
   3.837743617537888*^9}, {3.8377436622117043`*^9, 3.8377436646578493`*^9}, {
   3.837743724006654*^9, 3.837743738847971*^9}, {3.837743827546874*^9, 
   3.837743862097844*^9}, {3.837743919216528*^9, 3.837743926500833*^9}, {
   3.837743962256256*^9, 3.837743986218444*^9}, {3.837744035584227*^9, 
   3.8377440463875113`*^9}, 3.837744114798568*^9, {3.837744156267569*^9, 
   3.837744164624357*^9}, {3.8377442007196074`*^9, 3.8377442557971087`*^9}, {
   3.837744308298851*^9, 3.8377443290139017`*^9}, {3.837744362918042*^9, 
   3.837744440235528*^9}, {3.837744526337517*^9, 3.837744559148859*^9}, {
   3.83774478848342*^9, 3.8377447950688267`*^9}, {3.837744879551614*^9, 
   3.837744889330268*^9}, 3.837744970243394*^9, {3.8377452638615503`*^9, 
   3.837745277603881*^9}, {3.837745346935672*^9, 3.837745362349909*^9}, {
   3.83774550595609*^9, 3.837745509993203*^9}, {3.837745747961051*^9, 
   3.837745750663476*^9}, {3.8377459315786858`*^9, 3.837745934803117*^9}, 
   3.837745969293339*^9, {3.837746109938238*^9, 3.837746126602859*^9}, {
   3.8377466782837*^9, 3.8377466952657957`*^9}, {3.837746787912196*^9, 
   3.837746817833362*^9}, {3.837746974734153*^9, 3.837747013764021*^9}, {
   3.8377472090634813`*^9, 3.837747248046494*^9}, {3.837747376472747*^9, 
   3.837747377720673*^9}, {3.837747414873787*^9, 3.837747417262186*^9}, {
   3.849997146211816*^9, 3.8499971734682426`*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"1065bd2f-f9bc-4c35-bc9f-2a4cb01b2d23"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`numBranches$$, $CellContext`numShops$$ = {10, 
  10, 10, 10, 10, 10, 10}, $CellContext`k$$ = 3, $CellContext`mt$$ = {0.84, 
  2.2600000000000002`, 3.69, 5.12, 6.55, 7.98, 9.41}, $CellContext`ms$$ = {1, 
  1, 1, 1, 1, 1, 1}, $CellContext`vMean$$ = 1000, $CellContext`vStdDev$$ = 
  100, $CellContext`vDist$$ = {
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100], 
   NormalDistribution[1000, 100]}, $CellContext`branch$$ = CompressedData["
1:eJw90ms0lAkYB3BaNYVYIlubLo5Lcqs9LiF5GKySPR0ks7shrXXJ1rgTcsjI
650Z76hdl7aOy0ymODOTHYxpaIoQRzrq0MVMNXadprNdENqWY+2Hng//8/uf
59Pz4b8j7nRY/Bc6Ojq0leiv5P/uVBetud5PgP+k7/5bEi464K7mXfMohxrG
4qoN7hXo+Z4HIXxbEmwFZskH7Ck0JGDOmWZAgEkxa5vTAw6aexb64lUlEN5/
6Oz9sTL0TqtqYNSxHHILHVsd7CvQWYWjSxNVBtGKh5qC/Ry0J35m3001CR2s
mF2q3yg0rqbkkM2e8xBwfPkR7XcSJQJajpw6RUJ0qEWnXgSFvqZZXa48XQ/D
Zqrp7RNcVPRHkUqoqgONgmf54gkHrdDXSZfd58MjTV2mNqkStfCVZnSc5MO8
jEY/ZFqJurx7uqefUQfMZwdnMt6zUZEu/a0ssB4YwsIWo0ouqrm4LWcyqhFq
ra+Gb9zGQ6eN1IK9qY3wZGzk+RVXHpponKgxbG2Am6MMRipJoVMviIznWxvg
w3f3Cr5ZR6FTq9ref9vQDPJmJ231Bw5KuAQH7jaSQPdqjUNBAg8N5ntPBg22
gHQpvS/TrQKdGt5a/8r4OjSIStUngY22mXu0T4SKgdidzuIuUGiGXl7u+oAm
yBnImkvZS6BlB8upai8J9JB5pXVVPPQy/ZmBfIcE6q+wbJvzeagd50bw6p0i
MBfq6YVEUWir23yA+IIIfp2YuCOopNBlH/uo67dvgJqptK/tJtF1hzO0s87t
cF4dxxVF8NCN/3jHXwprh5qnGxMIJg9tXtjVmGImhX+tZru1MRWos2iuLLlc
AnYvljODHhNofvhk0nq1FDxrOs+cCaXQfWP+9Ff6bRDjwc5gMSn07k+B/IiH
UpC7R27fHEihNq2uGywUbeDkoEub+USh3/uNphXflYIRXaoN9aLQes9r4r2D
crDKO27i9SOFCiJn1ckRMhB+HeXp1cFBDas9LQ2fyyDn7VEVGctFacPH9DeH
dcKmta7bTd9wUSHZa82I7gQdeoI/bZGLMrP5r7tC5eCi/ZTq9iWF9q7hNJwa
kgPdvpCxsPLHZ7d8NFied2yDx8fpVWtUBLpEWgmZX8lgq8Bv8eMvHDTALlJ8
Mr8d7hkG2XZnkWhy3MjhJWYXBKcYm708x0EjzymCxxK7ITZ2kwkjn4u2CLJv
7rrUAyVF/Ya3mi6gNur4INkBBfhfTq5S/8BGn6kPWsZkK6GQamt/V0ShBRcr
s8SblZAu8a7Ws6HQnaxXPI+Ve5+F4Ge2NYUOmbytWkxQwpRXbNi5NArNNbbu
dVN0gZN94uCBEQ56Rn+Ek8ZXQKRwyuxhOxud/dPtSPeRHgjS1jqYruzms3Rd
vTAruhLcI4/Kmq6SaEJK73TMmy4w1zYMnUglUIk2JfqlnxL+NjXQKeWTaGze
ibVl4ttg2fHawdeUi6onvEpn5T0wr7uwxbKPQu0I1ySfS71gPu6cM1TCQx/F
zo1aFyuhzltfNmjCRpl/iR39iDvg50AzTyupQKfH/edLfW7DsXFb34TDHPQ/
GsIRJQ==
  "], $CellContext`branchAvgConst$$ = {813.7272728808707, 
  2364.9101496861576`, 3771.1554609441832`}, $CellContext`branchAvgVaria$$ = {
  968.7229439057986, 1046.4204202151136`, 
  1021.9933498493723`}, $CellContext`branchAvgSurpl$$ = {968.7229439057986, 
  1046.4204202151136`, 
  1021.9933498493723`}, $CellContext`generalRateOfProfit$$ = 
  0.3041111569201599, $CellContext`costPrice$$ = {1793.7425247020287`, 
  3432.0423653475755`, 4838.816878287695}, $CellContext`prodPrice$$ = {
  2339.239639106051, 4475.764739672429, 
  6310.355077268561}, $CellContext`marketPrice$$ = CompressedData["
1:eJwBQQK+/SFib1JlAgAAAAcAAAAKAAAArJm3V0rKpUB+uvXl8yimQAjWCH3y
8qZAGxKAW9gqpUBIg7awwKKhQG2sTYvKH6ZAbA01vWjDpEAoH5z5i46nQPrW
oD1NmqNAgF6CTqAvp0AoSQiL0W6wQB6SSuyYyq9AsnZQ9FCcs0AG/N3bAT+z
QOdcAKsB0q5A7WpBImBHsEC+3OLl/DuyQOXy1sLrUrJAEvHgHb+esUDtlyn5
CBSxQGHspTJKTrVAaDI52+7BuECQ0TrjgDK2QJsSMUgPGLRAHyPVnbUiuEBY
NBv6IfCxQGoQyNNoBrlA7RIenw/guECeGlsmKEC3QCOJ6YMqk7dAN1qZ4lCx
uEBNv6UwS9m+QGJmxxjgCr9AacDnEmfsu0A4pnUmfAC3QBggQKfKBL1A7PGI
/SpDvUAigHC04fW8QLtHtRaQOb5A4mKsZ6nivECZ+yzcKnzBQI9dSW05wr9A
1clHipc7wECHZzVJr4bAQDQur3qtjsBABPbQUewqwUCzTaYn9XzBQJLQ3KQ4
pLtARfUy5+5zv0B2quc4G1q9QL6e6cr6aMJAt22BRvYDw0AMhql+GoXIQLtC
IPZXsMFA+0L4CtuXxECZgKGc8CPEQBrLkataI8RAhSCGbJ2ExEDiDF8bBJjC
QEdahKkT6cFARZ8c4MJxx0AJ7A5J97fDQFaTVnLcJMJADkxuHnK2w0BE0uDt
z3HFQFydeM167MdA7T5AR3D8yEBIqPYpXgTEQNjKUG/PecZA3bIn3pPnxECW
XBmG
  "], $CellContext`marketValue$$ = {2768.6025924748706`, 
  4484.816097049285, 
  5870.547555960977}, $CellContext`init$$, $CellContext`reset$$}, 
  TagBox[
   StyleBox[
    DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
     Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
     1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
       Hold[
        Row[{
          Button["reset", {$CellContext`reset$$[]; Null}], 
          Button["randomize", {$CellContext`mt$$ = Table[
               Round[
                RandomReal[{0, 10}], 0.01], {$CellContext`maxBranches}]; 
            If[Length[$CellContext`mt$$] > 2, 
              Part[$CellContext`mt$$, 2] = (Part[$CellContext`mt$$, 1] + 
                Part[$CellContext`mt$$, 3])/2]; $CellContext`ms$$ = 
             Table[1, {$CellContext`maxBranches}]; \
$CellContext`init$$[$CellContext`k$$]; Null}], 
          Button[
          "resample after changing \!\(\*SubscriptBox[\(\[Mu]\), \
SubscriptBox[\(\[Theta]\), \(i\)]]\) or \!\(\*SubscriptBox[\"\[Mu]\", \
SubsuperscriptBox[\"s\", \"i\", StyleBox[\"'\",FontSlant->\"Italic\"]]]\)", {
            $CellContext`init$$[$CellContext`maxBranches]}]}]], 
       Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
     561., {223.634033203125, 229.365966796875}}, Typeset`update$$ = 0, 
     Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
     DynamicBox[Manipulate`ManipulateBoxes[
      1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, 
       "Body" :> ($CellContext`branchAvgConst$$ = \
$CellContext`getBranchAvgConst[
           Part[$CellContext`branch$$, 
            Span[
            1, $CellContext`k$$]]]; $CellContext`branchAvgVaria$$ = \
$CellContext`getBranchAvgVaria[
           Part[$CellContext`branch$$, 
            Span[
            1, $CellContext`k$$]]]; $CellContext`branchAvgSurpl$$ = \
$CellContext`getBranchAvgSurpl[
           Part[$CellContext`branch$$, 
            Span[
            1, $CellContext`k$$]]]; $CellContext`generalRateOfProfit$$ = \
$CellContext`getGeneralRateOfProfit[$CellContext`branchAvgConst$$, \
$CellContext`branchAvgVaria$$, $CellContext`branchAvgSurpl$$]; \
$CellContext`costPrice$$ = $CellContext`getCostPrices[
           Part[$CellContext`branch$$, 
            Span[1, $CellContext`k$$]], 
           Part[$CellContext`mt$$, 
            Span[1, $CellContext`k$$]], 
           Part[$CellContext`numShops$$, 
            Span[
            1, $CellContext`k$$]]]; $CellContext`prodPrice$$ = \
$CellContext`getProdPrices[$CellContext`generalRateOfProfit$$, \
$CellContext`costPrice$$]; $CellContext`marketPrice$$ = Table[
           Table[
           Part[$CellContext`branch$$, $CellContext`i, $CellContext`j, 1] + 
            Part[$CellContext`branch$$, $CellContext`i, $CellContext`j, 2] + 
            Part[$CellContext`branch$$, $CellContext`i, $CellContext`j, 
              3], {$CellContext`j, 
             Part[$CellContext`numShops$$, $CellContext`i]}], {$CellContext`i, 
            
            Length[$CellContext`branch$$]}]; $CellContext`marketValue$$ = \
$CellContext`getMarketValues[$CellContext`marketPrice$$, 
           Part[$CellContext`branch$$, 
            Span[1, $CellContext`k$$]], $CellContext`numShops$$]; Column[{
           Row[{"number of branches: ", 
             Slider[
              Dynamic[$CellContext`k$$], {1, $CellContext`maxBranches, 1}]}], 
           
           Row[{$CellContext`k$$, " branches of production, numShops = (", 
             Row[
              Part[$CellContext`numShops$$, 
               Span[1, $CellContext`k$$]], ","], ")"}], 
           
           Row[{"\!\(\*SubscriptBox[\(v\), \(i\)]\) ~ \[ScriptCapitalN](", \
$CellContext`vMean$$, ";", $CellContext`vStdDev$$, 
             "), i = 1,\[Ellipsis],", $CellContext`k$$}], 
           Dynamic[
            Grid[
             Table[
              With[{$CellContext`i$ = $CellContext`i}, {
                Row[{
                  DisplayForm[
                   SubscriptBox["\[Mu]", 
                    SubscriptBox["\[Theta]", $CellContext`i$]]], 
                  Slider[
                   Dynamic[
                    Part[$CellContext`mt$$, $CellContext`i$]], {
                   0, $CellContext`mtMax}], 
                  Dynamic[
                   Round[
                    Part[$CellContext`mt$$, $CellContext`i$], 0.01]], "\t\t", 
                  
                  DisplayForm[
                   SubscriptBox["\[Mu]", 
                    SubsuperscriptBox[
                    "s", $CellContext`i$, 
                    "\!\(\*StyleBox[\"'\",FontSlant->\"Italic\"]\)"]]], 
                  Slider[
                   Dynamic[
                    Part[$CellContext`ms$$, $CellContext`i$]], {
                   0, $CellContext`msMax}], 
                  Dynamic[
                   Round[
                    Part[$CellContext`ms$$, $CellContext`i$], 
                    0.01]]}]}], {$CellContext`i, $CellContext`k$$}]]], 
           Row[{
             Column[{
               
               Row[{"\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(\[Theta]\), \
\(i\)]]\):  ", 
                 TableForm[
                  Part[$CellContext`mt$$, 
                   Span[1, $CellContext`k$$]]]}], "\n", 
               
               Row[{"\!\(\*SubscriptBox[\"\[Mu]\", SubsuperscriptBox[\"s\", \
\"i\", StyleBox[\"'\",FontSlant->\"Italic\"]]]\):  ", 
                 TableForm[
                  Part[$CellContext`ms$$, 
                   Span[1, $CellContext`k$$]]]}]}], "\t\t", 
             Column[{
               
               Row[{"\!\(\*SubscriptBox[\"\[Mu]\", \
StyleBox[SuperscriptBox[StyleBox[\"p\",FontSlant->\"Italic\"], \
\"'\"],FontSlant->\"Italic\"]]\):  ", 
                 PercentForm[$CellContext`generalRateOfProfit$$]}], 
               
               Row[{"(\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(c\), \
\(i\)]]\),\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(v\), \
\(i\)]]\),\!\(\*SubscriptBox[\(\[Mu]\), SubscriptBox[\(s\), \(i\)]]\))", 
                 ":  ", 
                 Column[
                  Table[
                   $CellContext`cvsBar[{
                    Part[$CellContext`branchAvgConst$$, $CellContext`i], 
                    Part[$CellContext`branchAvgVaria$$, $CellContext`i], 
                    Part[$CellContext`branchAvgSurpl$$, $CellContext`i]}, 
                    0.05], {$CellContext`i, $CellContext`k$$}]]}], "\n", 
               Column[{
                 Row[{
                   Row[{"\!\(\*SubscriptBox[\(CP\), \(i\)]\):  ", 
                    TableForm[$CellContext`costPrice$$]}], "\t\t", 
                   Row[{"\!\(\*SubscriptBox[\(PP\), \(i\)]\):  ", 
                    TableForm[$CellContext`prodPrice$$]}], "\t", 
                   Row[{"\!\(\*SubscriptBox[\(MV\), \(i\)]\):  ", 
                    TableForm[$CellContext`marketValue$$]}]}], "\n", 
                 Row[
                  Prepend[
                   Table[
                    SmoothHistogram[
                    Part[$CellContext`marketPrice$$, $CellContext`i], 
                    Ticks -> {{{
                    Part[$CellContext`prodPrice$$, $CellContext`i], 
                    Subscript["PP", $CellContext`i]}}, None}, PlotRange -> 
                    All, Filling -> Axis, PerformanceGoal -> "Speed", Epilog -> {
                    Line[{{
                    Part[$CellContext`prodPrice$$, $CellContext`i], 0}, {
                    Part[$CellContext`prodPrice$$, $CellContext`i], 
                    1000}}]}], {$CellContext`i, $CellContext`k$$}], 
                   "\!\(\*SubscriptBox[\(MP\), \(i\)]\)(\[Omega]):  "]]}]}, 
              Alignment -> "Left"]}]}, Alignment -> "Center"]), 
       "Specifications" :> {
         Row[{
           Button["reset", {$CellContext`reset$$[]; Null}], 
           Button["randomize", {$CellContext`mt$$ = Table[
                Round[
                 RandomReal[{0, 10}], 0.01], {$CellContext`maxBranches}]; 
             If[Length[$CellContext`mt$$] > 2, 
               Part[$CellContext`mt$$, 2] = (Part[$CellContext`mt$$, 1] + 
                 Part[$CellContext`mt$$, 3])/2]; $CellContext`ms$$ = 
              Table[1, {$CellContext`maxBranches}]; \
$CellContext`init$$[$CellContext`k$$]; Null}], 
           Button[
           "resample after changing \!\(\*SubscriptBox[\(\[Mu]\), \
SubscriptBox[\(\[Theta]\), \(i\)]]\) or \!\(\*SubscriptBox[\"\[Mu]\", \
SubsuperscriptBox[\"s\", \"i\", StyleBox[\"'\",FontSlant->\"Italic\"]]]\)", {
             $CellContext`init$$[$CellContext`maxBranches]}]}]}, 
       "Options" :> {}, "DefaultOptions" :> {}],
      ImageSizeCache->{606., {275., 281.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     Initialization:>({$CellContext`reset$$[] := {$CellContext`mt$$ = Table[
              
              Round[$CellContext`t + 0.55, 0.01], {$CellContext`t, 
               2/$CellContext`maxBranches + 
               0., $CellContext`mtMax, \
$CellContext`mtMax/$CellContext`maxBranches}]; $CellContext`ms$$ = Table[
              
              RandomChoice[{1}], {$CellContext`i, 
               1, $CellContext`maxBranches}]; Null}; $CellContext`init$$[
           Pattern[$CellContext`numBranches$, 
            Blank[]]] := {$CellContext`numShops$$ = 
            Table[10, {$CellContext`maxBranches}]; {$CellContext`vMean$$, \
$CellContext`vStdDev$$} = {1000, 100}; $CellContext`vDist$$ = Table[
              
              NormalDistribution[$CellContext`vMean$$, \
$CellContext`vStdDev$$], {$CellContext`i, 
               1, $CellContext`maxBranches}]; $CellContext`branch$$ = \
$CellContext`genBranches[$CellContext`vDist$$, $CellContext`mt$$, \
$CellContext`ms$$, 
              Part[$CellContext`numShops$$, 
               Span[1, $CellContext`numBranches$]]]; 
           Null}; $CellContext`reset$$[]; \
$CellContext`init$$[$CellContext`maxBranches]; Null}; 
      Typeset`initDone$$ = True),
     SynchronousInitialization->True,
     UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]],
  DynamicModuleValues:>{{DownValues[$CellContext`init$$] = {HoldPattern[
         $CellContext`init$$[
          Pattern[$CellContext`numBranches$, 
           Blank[]]]] :> {$CellContext`numShops$$ = 
          Table[10, {$CellContext`maxBranches}]; {$CellContext`vMean$$, \
$CellContext`vStdDev$$} = {1000, 100}; $CellContext`vDist$$ = Table[
            
            NormalDistribution[$CellContext`vMean$$, $CellContext`vStdDev$$], \
{$CellContext`i, 
             1, $CellContext`maxBranches}]; $CellContext`branch$$ = \
$CellContext`genBranches[$CellContext`vDist$$, $CellContext`mt$$, \
$CellContext`ms$$, 
            Part[$CellContext`numShops$$, 
             Span[1, $CellContext`numBranches$]]]; Null}}}, {
    DownValues[$CellContext`reset$$] = {HoldPattern[
         $CellContext`reset$$[]] :> {$CellContext`mt$$ = Table[
            
            Round[$CellContext`t + 0.55, 0.01], {$CellContext`t, 
             2/$CellContext`maxBranches + 
             0., $CellContext`mtMax, \
$CellContext`mtMax/$CellContext`maxBranches}]; $CellContext`ms$$ = Table[
            RandomChoice[{1}], {$CellContext`i, 1, $CellContext`maxBranches}]; 
         Null}}}}]], "Output",
 CellChangeTimes->{{3.8377414774085903`*^9, 3.837741523199809*^9}, {
   3.837741568965702*^9, 3.8377416154473963`*^9}, {3.8377416722933683`*^9, 
   3.837741693536077*^9}, 3.837741759002513*^9, 3.8377418466972637`*^9, 
   3.837741930192021*^9, 3.8377419933376017`*^9, 3.837742058052898*^9, {
   3.837742375245474*^9, 3.837742400630377*^9}, 3.837742580590296*^9, 
   3.837742651958583*^9, {3.8377426824442377`*^9, 3.837742704671938*^9}, {
   3.837742740340349*^9, 3.83774276401899*^9}, 3.837743549485214*^9, 
   3.837743683035882*^9, {3.8377437303427896`*^9, 3.837743739280717*^9}, {
   3.837743835527711*^9, 3.8377438784727488`*^9}, {3.8377439297061043`*^9, 
   3.837743991626534*^9}, {3.837744036499467*^9, 3.837744046790913*^9}, {
   3.837744115417445*^9, 3.837744256025628*^9}, {3.8377444414431257`*^9, 
   3.837744449512516*^9}, 3.837744487676447*^9, 3.837744528043811*^9, 
   3.837744570123487*^9, 3.837744673087191*^9, 3.8377447958054733`*^9, 
   3.837744891845808*^9, {3.8377449708066*^9, 3.8377450193347387`*^9}, 
   3.837745113625515*^9, 3.837745278039311*^9, {3.8377453197168503`*^9, 
   3.837745362827162*^9}, {3.837745523774548*^9, 3.837745528484042*^9}, 
   3.83774557010046*^9, {3.837745688240746*^9, 3.837745692270287*^9}, 
   3.837745751165936*^9, 3.837745935237206*^9, 3.8377459697358313`*^9, {
   3.837746111537723*^9, 3.837746127060858*^9}, {3.837746788714061*^9, 
   3.837746818141583*^9}, {3.8377469755852537`*^9, 3.837747014131291*^9}, 
   3.837747249079953*^9, 3.837747312568158*^9, 3.837747378251522*^9, 
   3.8377474177929573`*^9, {3.83774777376998*^9, 3.837747787824513*^9}, 
   3.849996065469536*^9, 3.8499961462993298`*^9, {3.849996736808695*^9, 
   3.8499967729421043`*^9}, {3.849996850801169*^9, 3.849996860401844*^9}, 
   3.8499969140951357`*^9, {3.84999706685948*^9, 3.8499970893320417`*^9}, 
   3.849997173857203*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"cc092616-1f35-4e57-86de-74b4b4c56039"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["License", "Section",
 CellChangeTimes->{{3.849996239070759*^9, 
  3.8499962399774303`*^9}},ExpressionUUID->"9e4df585-59ca-436c-9f42-\
a8dc2a7a7da6"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnQdYVVfW929i7C2CIpbYwBABG1LEith7F7tYECtSBRUUNRrsFJWigggo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    "], {{0, 30.}, {154., 0}}, {0, 255},
    ColorFunction->RGBColor,
    ImageResolution->{144, 144}],
   BoxForm`ImageTag[
   "Byte", ColorSpace -> "RGB", Interleaving -> True, MetaInformation -> 
    Association[
     "Exif" -> Association[
       "Software" -> "Created with the Wolfram Language : www.wolfram.com", 
        "DateTime" -> 
        DateObject[{2020, 9, 11, 10, 7, 17.}, "Instant", "Gregorian", 
          4.294967292*^9], "TimeZoneOffset" -> 4294967292], "Comments" -> 
      Association[
       "Software" -> "Created with the Wolfram Language : www.wolfram.com", 
        "Creation Time" -> 
        DateObject[{2020, 9, 11, 10, 7, 17.}, "Instant", "Gregorian", -5.]]]],
   
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{152.93670654296875`, Automatic},
  ImageSizeRaw->{154., 30.},
  PlotRange->{{0, 154.}, {0, 30.}}]], "Output",
 CellChangeTimes->{3.849997067451486*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"a29a7016-4d49-4729-b90d-00ce6cd4ae10"],

Cell["\<\
modify & adapt
noncommercial
sharealike\
\>", "Text",
 CellChangeTimes->{{3.849996400258985*^9, 3.849996403705964*^9}, {
  3.849996544016594*^9, 
  3.8499965461621017`*^9}},ExpressionUUID->"cfd36ffd-08ef-4dd1-bcca-\
2eec83a024dd"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{747, 713},
WindowMargins->{{82, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"ccf1b0ad-6e57-45ef-a336-c8fa87fb10bd"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 249, 7, 117, "Chapter",ExpressionUUID->"e43eccf9-6ab9-4c9b-a189-62df53caa93b"],
Cell[CellGroupData[{
Cell[854, 33, 157, 3, 67, "Section",ExpressionUUID->"af85ba09-ca8a-4925-9edc-03e670c7c91b"],
Cell[1014, 38, 346, 7, 53, "Item",ExpressionUUID->"e0c3d2b9-8037-4b38-9377-ae3f26e113c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1397, 50, 151, 2, 67, "Section",ExpressionUUID->"b9c320b2-2e35-4fb2-8fff-aaa7b8a01e8a"],
Cell[1551, 54, 2718, 93, 243, "Text",ExpressionUUID->"1fb848a6-c94a-4801-9707-5895046f1047"],
Cell[4272, 149, 652, 21, 86, "Text",ExpressionUUID->"64c415dc-8e71-4c10-8d09-b098e23d1bcd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4961, 175, 163, 3, 67, "Section",ExpressionUUID->"f8c16b08-d47d-439c-b313-aa37072e777e"],
Cell[CellGroupData[{
Cell[5149, 182, 433, 8, 108, "Subsection",ExpressionUUID->"de6cafd3-2768-4f31-a8fe-70bb97d81bc3"],
Cell[5585, 192, 8695, 213, 841, "Input",ExpressionUUID->"828c3e89-9cb9-4be1-986b-b41a501ec168"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14317, 410, 227, 4, 54, "Subsection",ExpressionUUID->"df4ab4ee-5f79-48eb-be1d-7f257ae81f66"],
Cell[14547, 416, 1250, 33, 199, "Input",ExpressionUUID->"d39906c4-edf3-4b6a-82b5-06b098bf435c"]
}, Closed]],
Cell[CellGroupData[{
Cell[15834, 454, 177, 3, 38, "Subsection",ExpressionUUID->"3c3bc1a4-70ae-4616-8e2a-deb0f3ab9c32"],
Cell[16014, 459, 4951, 126, 514, "Input",ExpressionUUID->"50be6316-2f62-43ea-9aec-80fb9d196b95"],
Cell[CellGroupData[{
Cell[20990, 589, 344, 8, 30, "Input",ExpressionUUID->"5ae00956-6198-4dcb-9af4-0ce70bba2a5d"],
Cell[21337, 599, 2369, 61, 70, "Output",ExpressionUUID->"c54c0445-2c90-497e-86a8-e1753b9a97de"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[23755, 666, 443, 11, 38, "Subsection",ExpressionUUID->"22a9abfc-1e04-4c4d-90f9-ef59ae7026d6"],
Cell[CellGroupData[{
Cell[24223, 681, 26600, 534, 3402, "Input",ExpressionUUID->"1065bd2f-f9bc-4c35-bc9f-2a4cb01b2d23"],
Cell[50826, 1217, 17330, 331, 575, "Output",ExpressionUUID->"cc092616-1f35-4e57-86de-74b4b4c56039"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68217, 1555, 154, 3, 67, "Section",ExpressionUUID->"9e4df585-59ca-436c-9f42-a8dc2a7a7da6"],
Cell[68374, 1560, 15553, 263, 47, "Output",ExpressionUUID->"a29a7016-4d49-4729-b90d-00ce6cd4ae10"],
Cell[83930, 1825, 240, 8, 81, "Text",ExpressionUUID->"cfd36ffd-08ef-4dd1-bcca-2eec83a024dd"]
}, Open  ]]
}, Open  ]]
}
]
*)

